﻿@model MyBooksViewModel

@{
    ViewData["Title"] = "MyBooks";
}

<h1 id="login">Taken Books</h1>
<table id="login" class="table table-hover text-decoration-none">
    <thead class="thead-light">
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.TakenBooks.Books.First().Title)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.TakenBooks.Books.First().Year)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.TakenBooks.Books.First().AuthorsNames)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.TakenBooks.Books.First().Status)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model.TakenBooks.Books)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Title)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Year)
                </td>
                <td>
                    @foreach (var pesho in item.AuthorsNames)
                    {
                        @Html.DisplayFor(modelItem => pesho)
                        <br />
                    }
                </td>
                <td>
                    @if (item.Status == "Available")
                    {
                        <span class="text-success">@Html.DisplayFor(modelItem => item.Status)</span>
                    }
                    else if (item.Status == "Taken")
                    {
                        <span class="text-danger">@Html.DisplayFor(modelItem => item.Status)</span>
                    }
                    else
                    {
                        <span class="text-warning">@Html.DisplayFor(modelItem => item.Status)</span>
                    }
                </td>
                <td>
                    <div class="btn-group btn-group-sm" role="group" aria-label="Basic example">
                        <button type="button" class="btn btn-secondary bg-transparent border-0">
                            <a asp-action="Details" asp-route-id="@item.Id">
                                <img class="d-flex ml-3" src="~/lib/images/DetailsYellowTrans.png" alt="Details" width="100">
                            </a>
                        </button>


                        @if (Model.TakenBooks.Books.FirstOrDefault(bvm => bvm.Status == "Taken" &&
                                             bvm.Id == item.Id) != null)
                        {
                            <button type="button" class="btn btn-secondary bg-transparent border-0">
                                <a asp-action="Return" asp-route-bookId="@item.Id">
                                    <img class="d-flex ml-3" src="~/lib/images/ReturnRedTrans.png" alt="Return" width="100">
                                </a>
                            </button>
                        }
                        else if (Model.TakenBooks.Books.FirstOrDefault(bvm => bvm.Status == "Taken" &&
                                                      bvm.Id == item.Id) != null)
                        {
                            <button type="button" class="btn btn-secondary bg-transparent border-0">
                                <a asp-action="Reserve" asp-route-bookId="@item.Id">
                                    <img class="d-flex ml-3" src="~/lib/images/ReserveRedTrans.png" alt="Reserve" width="100">
                                </a>
                            </button>
                        }
                        else if (Model.TakenBooks.Books.FirstOrDefault(bvm => bvm.Status == "Reserved" && bvm.UserId == bvm.CurrentUserId &&
                        bvm.Id == item.Id) != null)
                        {
                            <button type="button" class="btn btn-secondary bg-transparent border-0">
                                <a asp-action="Return" asp-route-bookId="@item.Id">
                                    <img class="d-flex ml-3" src="~/lib/images/ReturnRedTrans.png" alt="Return" width="100">
                                </a>
                            </button>
                        }
                        else
                        {
                            <button type="button" class="btn btn-secondary bg-transparent border-0">
                                <a asp-action="Checkout" asp-route-bookId="@item.Id">
                                    <img class="d-flex ml-3" src="~/lib/images/CheckoutRedTrans.png" alt="Checkout" width="100">
                                </a>
                            </button>
                        }
                    </div>
                </td>
            </tr>
        }
    </tbody>
</table>


<h1 id="login">Reserved Books</h1>
<table id="login" class="table table-hover text-decoration-none">
    <thead class="thead-light">
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.ReservedBooks.Books.First().Title)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.ReservedBooks.Books.First().Year)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.ReservedBooks.Books.First().AuthorsNames)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.ReservedBooks.Books.First().Status)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model.ReservedBooks.Books)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Title)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Year)
                </td>
                <td>
                    @foreach (var pesho in item.AuthorsNames)
                    {
                        @Html.DisplayFor(modelItem => pesho)
                        <br />
                    }
                </td>
                <td>
                    @if (item.Status == "Available")
                    {
                        <span class="text-success">@Html.DisplayFor(modelItem => item.Status)</span>
                    }
                    else if (item.Status == "Taken")
                    {
                        <span class="text-danger">@Html.DisplayFor(modelItem => item.Status)</span>
                    }
                    else
                    {
                        <span class="text-warning">@Html.DisplayFor(modelItem => item.Status)</span>
                    }
                </td>
                <td>
                    <div class="btn-group btn-group-sm" role="group" aria-label="Basic example">
                        <button type="button" class="btn btn-secondary bg-transparent border-0">
                            <a asp-action="Details" asp-route-id="@item.Id">
                                <img class="d-flex ml-3" src="~/lib/images/DetailsYellowTrans.png" alt="Details" width="100">
                            </a>
                        </button>


                        @*@if (Model.ReservedBooks.Books.FirstOrDefault(bvm => bvm.Status == "Taken" &&
                                                   bvm.Id == item.Id) != null)
                            {
                                <button type="button" class="btn btn-secondary bg-transparent border-0">
                                    <a asp-action="Return" asp-route-bookId="@item.Id">
                                        <img class="d-flex ml-3" src="~/lib/images/ReturnTrans.png" alt="Return" width="100">
                                    </a>
                                </button>
                            }
                            else if (Model.ReservedBooks.Books.FirstOrDefault(bvm => bvm.Status == "Taken" &&
                                                          bvm.Id == item.Id) != null)
                            {
                                <button type="button" class="btn btn-secondary bg-transparent border-0">
                                    <a asp-action="Reserve" asp-route-bookId="@item.Id">
                                        <img class="d-flex ml-3" src="~/lib/images/ReserveTrans.png" alt="Reserve" width="100">
                                    </a>
                                </button>
                            }
                            else if (Model.ReservedBooks.Books.FirstOrDefault(bvm => bvm.Status == "Reserved" && bvm.UserId == bvm.CurrentUserId &&
                            bvm.Id == item.Id) != null)
                            {
                                <button type="button" class="btn btn-secondary bg-transparent border-0">
                                    <a asp-action="Return" asp-route-bookId="@item.Id">
                                        <img class="d-flex ml-3" src="~/lib/images/ReturnTrans.png" alt="Return" width="100">
                                    </a>
                                </button>
                            }
                            else
                            {
                                <button type="button" class="btn btn-secondary bg-transparent border-0">
                                    <a asp-action="Checkout" asp-route-bookId="@item.Id">
                                        <img class="d-flex ml-3" src="~/lib/images/ChecoutTrans.png" alt="Checkout" width="100">
                                    </a>
                                </button>
                            }*@
                    </div>
                </td>
            </tr>
        }
    </tbody>
</table>